<script>
import { init, refresh } from 'aos';
import { LocalizedHrefMixin } from '../mixins';
import SummitNavigationHOC from '~/components/navigation/summit.vue';

export default {
  name: 'SummitNavigation',
  components: { SummitNavigationHOC },
  mixins: [LocalizedHrefMixin],
  head() {
    return {
      htmlAttrs: {
        lang: this.$i18n.locale,
      },
    };
  },
  beforeMount() {
    init({
      once: true,
    });
  },
  mounted() {
    refresh();
  },
};
</script>

<template>
  <div>
    <SummitNavigationHOC />

    <div ref="localizedContainer">
      <Nuxt role="main" />
    </div>
    <SlpMinimizedFooter />
  </div>
</template>
